Permalink
Browse files

don't require pysqlite if sqlite3 is present

  • Loading branch information...
lgedgar committed Oct 10, 2012
1 parent 2d7fe03 commit c0a41b174115ae07e12c1966863e33be7ac5f4c4
Showing with 8 additions and 3 deletions.
  1. +8 −3 setup.py
View
@@ -3,6 +3,13 @@
version = '0.4'
+try:
+ import sqlite3
+except ImportError:
+ requires = ['pysqlite']
+else:
+ requires = []
+
setup(name='pyzipcode',
version=version,
description="query zip codes and location data",
@@ -16,9 +23,7 @@
packages=find_packages(exclude=['ez_setup', 'examples', 'tests']),
include_package_data=True,
zip_safe=False,
- install_requires=[
- 'pysqlite'
- ],
+ install_requires=requires,
entry_points="""
# -*- Entry points: -*-
""",

0 comments on commit c0a41b1

Please sign in to comment.